extends Obstacle

@export var sound: AudioStream = null


func _on_area_entered(area: Area2D) -> void:
	if area is Player:
		Globals.player_lives += 1
		Globals.raw_score += 200.0
		PulseSound1.load_and_play(sound, 0.0, true)
		queue_free()
